### Method

# AppStream Review get_metadata_item

since: 0.14.0

#### Declaration [src]

    const gchar*
    as_review_get_metadata_item (
      AsReview* review,
      const gchar* key
    )

#### Description [src]

Gets some metadata from a review object. It is left for the the plugin to use this method as required, but a typical use would be to retrieve some secure authentication token.

Available since: 0.14.0

#### Parameters

`key`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A string value, or `NULL` for not found.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.